Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class DefaultMeterDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.DefaultMeterDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, MeterDataset, java.io.ObjectInputValidation, java.io.Serializable, Value, ValueDataset

Deprecated. Use ValueDataset instead, this interface mixes data and presentation items.

public class DefaultMeterDataset
extends AbstractDataset
implements MeterDataset, java.io.Serializable

A default implementation of the `MeterDataset` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jfree.data.MeterDataset
`CRITICAL_DATA, FULL_DATA, NORMAL_DATA, WARNING_DATA`

Constructor Summary
`DefaultMeterDataset()` Deprecated. Default constructor.
`DefaultMeterDataset(java.lang.Number min, java.lang.Number max, java.lang.Number value, java.lang.String units)` Deprecated. Creates a new dataset.
`DefaultMeterDataset(java.lang.Number min, java.lang.Number max, java.lang.Number value, java.lang.String units, java.lang.Number minCritical, java.lang.Number maxCritical, java.lang.Number minWarning, java.lang.Number maxWarning, java.lang.Number minNormal, java.lang.Number maxNormal, int borderType)` Deprecated. Creates a new dataset.

Method Summary
`int` | `getBorderType()` Deprecated. Returns the border type.
`java.lang.Number` | `getMaximumCriticalValue()` Deprecated. Returns the maximum critical value.
`java.lang.Number` | `getMaximumNormalValue()` Deprecated. Returns the maximum normal value.
`java.lang.Number` | `getMaximumValue()` Deprecated. Returns the maximum value.
`java.lang.Number` | `getMaximumWarningValue()` Deprecated. Returns the maximum warning value.
`java.lang.Number` | `getMinimumCriticalValue()` Deprecated. Returns the minimum critical value.
`java.lang.Number` | `getMinimumNormalValue()` Deprecated. Returns the minimum normal value.
`java.lang.Number` | `getMinimumValue()` Deprecated. Returns the minimum value.
`java.lang.Number` | `getMinimumWarningValue()` Deprecated. Returns the minimum warning value.
`java.lang.String` | `getUnits()` Deprecated. Returns the measurement units for the data.
`java.lang.Number` | `getValue()` Deprecated. Returns the value.
`boolean` | `isValueValid()` Deprecated. Returns `true` if the value is valid, and `false` otherwise.
`void` | `setBorderType(int borderType)` Deprecated. Sets the border type.
`void` | `setCriticalRange(java.lang.Number minCritical, java.lang.Number maxCritical)` Deprecated. Sets the critical range for the dataset.
`void` | `setNormalRange(java.lang.Number minNormal, java.lang.Number maxNormal)` Deprecated. Sets the normal range for the dataset.
`void` | `setRange(java.lang.Number min, java.lang.Number max)` Deprecated. Sets the range for the dataset.
`void` | `setUnits(java.lang.String units)` Deprecated. Sets the measurement unit description.
`void` | `setValue(double value)` Deprecated. Sets the value.
`void` | `setValue(java.lang.Number value)` Deprecated. Sets the value for the dataset.
`void` | `setWarningRange(java.lang.Number minWarning, java.lang.Number maxWarning)` Deprecated. Sets the warning range for the dataset.

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultMeterDataset

    public DefaultMeterDataset()

  Deprecated.
  Default constructor.

### DefaultMeterDataset

    public DefaultMeterDataset(java.lang.Number min,
                               java.lang.Number max,
                               java.lang.Number value,
                               java.lang.String units)

  Deprecated.
  Creates a new dataset.

Parameters:
  `min` - the minimum value.
  `max` - the maximum value.
  `value` - the current value.
  `units` - the unit description.

### DefaultMeterDataset

    public DefaultMeterDataset(java.lang.Number min,
                               java.lang.Number max,
                               java.lang.Number value,
                               java.lang.String units,
                               java.lang.Number minCritical,
                               java.lang.Number maxCritical,
                               java.lang.Number minWarning,
                               java.lang.Number maxWarning,
                               java.lang.Number minNormal,
                               java.lang.Number maxNormal,
                               int borderType)

  Deprecated.
  Creates a new dataset.

Parameters:
  `min` - the lower bound for the overall range.
  `max` - the upper bound for the overall range.
  `value` - the current value.
  `units` - the unit description.
  `minCritical` - the minimum critical value.
  `maxCritical` - the maximum critical value.
  `minWarning` - the minimum warning value.
  `maxWarning` - the maximum warning value.
  `minNormal` - the minimum normal value.
  `maxNormal` - the maximum normal value.
  `borderType` - the border type.

Method Detail

### isValueValid

    public boolean isValueValid()

  Deprecated.
  Returns `true` if the value is valid, and `false` otherwise.

  Specified by:
    `isValueValid` in interface `MeterDataset`
  Returns:
    A boolean.

### getValue

    public java.lang.Number getValue()

  Deprecated.
  Returns the value.

  Specified by:
    `getValue` in interface `Value`
  Returns:
    The value.

### setValue

    public void setValue(double value)

  Deprecated.
  Sets the value.

  Parameters:
    `value` - the new value.

### setValue

    public void setValue(java.lang.Number value)

  Deprecated.
  Sets the value for the dataset.

  Parameters:
    `value` - the new value.

### getMinimumValue

    public java.lang.Number getMinimumValue()

  Deprecated.
  Returns the minimum value.

  Specified by:
    `getMinimumValue` in interface `MeterDataset`
  Returns:
    The minimum value.

### getMaximumValue

    public java.lang.Number getMaximumValue()

  Deprecated.
  Returns the maximum value.

  Specified by:
    `getMaximumValue` in interface `MeterDataset`
  Returns:
    The maximum value.

### getMinimumNormalValue

    public java.lang.Number getMinimumNormalValue()

  Deprecated.
  Returns the minimum normal value.

  Specified by:
    `getMinimumNormalValue` in interface `MeterDataset`
  Returns:
    The minimum normal value.

### getMaximumNormalValue

    public java.lang.Number getMaximumNormalValue()

  Deprecated.
  Returns the maximum normal value.

  Specified by:
    `getMaximumNormalValue` in interface `MeterDataset`
  Returns:
    The maximum normal value.

### getMinimumWarningValue

    public java.lang.Number getMinimumWarningValue()

  Deprecated.
  Returns the minimum warning value.

  Specified by:
    `getMinimumWarningValue` in interface `MeterDataset`
  Returns:
    The minimum warning value.

### getMaximumWarningValue

    public java.lang.Number getMaximumWarningValue()

  Deprecated.
  Returns the maximum warning value.

  Specified by:
    `getMaximumWarningValue` in interface `MeterDataset`
  Returns:
    The maximum warning value.

### getMinimumCriticalValue

    public java.lang.Number getMinimumCriticalValue()

  Deprecated.
  Returns the minimum critical value.

  Specified by:
    `getMinimumCriticalValue` in interface `MeterDataset`
  Returns:
    The minimum critical value.

### getMaximumCriticalValue

    public java.lang.Number getMaximumCriticalValue()

  Deprecated.
  Returns the maximum critical value.

  Specified by:
    `getMaximumCriticalValue` in interface `MeterDataset`
  Returns:
    The maximum critical value.

### setRange

    public void setRange(java.lang.Number min,
                         java.lang.Number max)

  Deprecated.
  Sets the range for the dataset. Registered listeners are notified of the change.

  Parameters:
    `min` - the new minimum.
    `max` - the new maximum.

### setNormalRange

    public void setNormalRange(java.lang.Number minNormal,
                               java.lang.Number maxNormal)

  Deprecated.
  Sets the normal range for the dataset. Registered listeners are notified of the change.

  Parameters:
    `minNormal` - the new minimum.
    `maxNormal` - the new maximum.

### setWarningRange

    public void setWarningRange(java.lang.Number minWarning,
                                java.lang.Number maxWarning)

  Deprecated.
  Sets the warning range for the dataset. Registered listeners are notified of the change.

  Parameters:
    `minWarning` - the new minimum.
    `maxWarning` - the new maximum.

### setCriticalRange

    public void setCriticalRange(java.lang.Number minCritical,
                                 java.lang.Number maxCritical)

  Deprecated.
  Sets the critical range for the dataset. Registered listeners are notified of the change.

  Parameters:
    `minCritical` - the new minimum.
    `maxCritical` - the new maximum.

### getUnits

    public java.lang.String getUnits()

  Deprecated.
  Returns the measurement units for the data.

  Specified by:
    `getUnits` in interface `MeterDataset`
  Returns:
    The measurement units.

### setUnits

    public void setUnits(java.lang.String units)

  Deprecated.
  Sets the measurement unit description.

  Parameters:
    `units` - the new description.

### getBorderType

    public int getBorderType()

  Deprecated.
  Returns the border type.

  Specified by:
    `getBorderType` in interface `MeterDataset`
  Returns:
    The border type.

### setBorderType

    public void setBorderType(int borderType)

  Deprecated.
  Sets the border type.

  Parameters:
    `borderType` - the new border type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD